Subject: [Rserpool] Elimination of the ASAP_ENDPOINT_KEEP_ALIVE_ACK message

From: Johnson Walter-CWJ002 <[email-masked]>
Date: Mon, 25 Jul 2005 09:22:21 -0500

I would like to discuss the elimination the ASAP_ENDPOINT_KEEP_ALIVE_ACK message.

The reason for this is that there is no behavior specified in any of the drafts for the transmission of this message or the reception of this message by an ASAP endpoint. There is only behavior specified for the successful transmission of the ASAP_ENDPOINT_KEEP_ALIVE within the drafts. 

I understand this was done to make this procedure stateless. I also understand the message could be made useful in a stateful procedure for ASAP endpoint heart beating which is indicated in ASAP draft section 2.2.7 but never taken advantage of in the drafts (maybe this text should be eliminated). There is no behavior specified for the ASAP_ENDPOINT_KEEP_ALIVE_ACK message but only for the successful transmission of the ASAP_ENDPOINT_KEEP_ALIVE message. 

So the question is: Should a message be eliminated from a draft if it is not utilized which will only causes extra messaging within the RSerPool architecture w/o any specified benefit? Or can a message exist in the drafts that has no specified use but could be turned useful by an implementer of the RSerPool protocols (Was this the intention)? Or if the RSerPool group feels heart beating at the ASAP layer is truly useful shouldn't a behavior for the ASAP_ENDPOINT_KEEP_ALIVE_ACK message be specified within the drafts?

Thanks
Walter   

_______________________________________________
rserpool mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rserpool